<!DOCTYPE html>
<html>
  <head>
    <title><%= model.name %></title>
    <link rel="stylesheet" href="/css/style.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  </head>
  <body>
    
    <header class="bg-primary text-white py-3 d-flex justify-content-between align-items-center">
      <a href="/" class="btn btn-light font-weight-bold">Back to homepage</a>
      <h1><%= model.name %></h1>
      <div></div>
    </header>
    
    <div class="container my-4">
      <ul class="list-group">
        <% model.components.forEach(component => { %>
          <li class="list-group-item">
            <h2><%= component.name %></h2>
            <p><%= component.description %></p>
          </li>
        <% }); %>
      </ul>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  </body>
</html>
